Bug 1301969 - Can't shutdown server when JMS bridge retries connection
Can't shutdown server when JMS bridge retries connection
Status: ASSIGNED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
6.4.6
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Radovan Netuka
Miroslav Novak
:
: 1278168 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 08:11 EST by Ondřej Kalman
Modified: 2016-12-15 09:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
zip with configs (10.28 KB, application/zip)
2016-01-26 08:11 EST, Ondřej Kalman
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1546 Major Open JMS bridge enters infinite recovery after a node is shut down 2017-08-09 07:21 EDT

  None (edit)
Description Ondřej Kalman 2016-01-26 08:11:43 EST
Created attachment 1118479 [details]
zip with configs

Description of problem:
Can't shutdown server when JMS bridge retries connection.

Log looks like this: 
13:38:15,788 INFO  [org.apache.catalina.core] (MSC service thread 1-1) JBWEB001079: Container org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/] has not been started
13:38:15,806 INFO  [org.jboss.as.messaging] (ServerService Thread Pool -- 72) JBAS011605: Unbound messaging object to jndi name java:jboss/exported/jms/RemoteConnectionFactory
13:38:15,815 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-2) JBWEB003075: Coyote HTTP/1.1 pausing on: http-localhost/127.0.0.1:8080
13:38:15,821 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-2) JBWEB003077: Coyote HTTP/1.1 stopping on : http-localhost/127.0.0.1:8080
13:38:15,822 INFO  [org.jboss.as.connector.subsystems.datasources] (MSC service thread 1-1) JBAS010409: Unbound data source [java:jboss/datasources/ExampleDS]
13:38:15,825 INFO  [org.jboss.jaxr] (MSC service thread 1-3) JBAS014002: UnBinding JAXR ConnectionFactory: java:jboss/jaxr/ConnectionFactory
13:38:15,823 INFO  [org.jboss.modcluster] (ServerService Thread Pool -- 73) MODCLUSTER000002: Initiating mod_cluster shutdown
13:38:15,837 INFO  [org.jboss.as.messaging] (ServerService Thread Pool -- 74) JBAS011605: Unbound messaging object to jndi name java:/jms/queue/DLQ
13:38:15,861 INFO  [org.apache.coyote.ajp] (MSC service thread 1-1) JBWEB003048: Pausing Coyote AJP/1.3 on ajp-localhost/127.0.0.1:8009
13:38:15,860 INFO  [org.jboss.as.connector.deployment] (MSC service thread 1-6) JBAS010410: Unbound JCA ConnectionFactory [java:/JmsXA]
13:38:15,861 INFO  [org.apache.coyote.ajp] (MSC service thread 1-1) JBWEB003051: Stopping Coyote AJP/1.3 on ajp-localhost/127.0.0.1:8009
13:38:15,861 INFO  [org.jboss.as.messaging] (ServerService Thread Pool -- 75) JBAS011605: Unbound messaging object to jndi name java:/jms/queue/ExpiryQueue
13:38:15,915 INFO  [org.hornetq.ra] (ServerService Thread Pool -- 80) HQ151003: HornetQ resource adaptor stopped
13:38:16,707 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:17,710 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:18,714 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:19,718 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:20,721 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:21,723 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:22,727 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:23,729 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:24,731 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:25,734 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:26,737 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:27,739 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:28,741 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:29,743 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:30,746 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:31,749 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:32,751 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:33,753 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1
13:38:34,754 WARN  [org.hornetq.core.client] (Thread-3 (HornetQ-client-global-threads-1801852536)) HQ212006: Waiting 1,000 milliseconds before next retry. RetryInterval=1,000 and multiplier=1

Thread dump: http://pastebin.test.redhat.com/343644


How reproducible:
Start two EAP servers and configure JMS bridge to send messages from Server1 to Server2. Shut down Server2 and then Shut down (with ctrl+c) Server1.
For easy configuration you can use attached configs.
Server1 start with ./standalone.sh -c standalone-full-ha.xml
Server2 start with ./standalone.sh -c standalone-full-ha-2.xml -Djboss.socket.binding.port-offset=1000





Expected results:


Additional info:
Comment 2 Radovan Netuka 2016-12-15 09:46:41 EST
*** Bug 1278168 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.